手机版
你好,游客 登录 注册
背景:
阅读新闻

w3m HTMLtagproc1 拒绝服务漏洞(CVE-2016-9435)

[日期:2017-01-23] 来源:Linux社区  作者:Linux [字体: ]
w3m HTMLtagproc1 拒绝服务漏洞(CVE-2016-9435)


发布日期:2017-01-20
更新日期:2017-01-23

受影响系统:

W3M W3M < 0.5.3+git20161009

描述:


BUGTRAQ  ID: 94407
CVE(CAN) ID: CVE-2016-9435

w3m是具有WWW功能的页面调度器,也是文字式网页浏览器。

w3m < 0.5.3+git20161009版本中,file.c/HTMLtagproc1函数未正确初始化值,这可使远程攻击者通过构造的html文件,造成应用崩溃。

<*来源:Kuang-che Wu
  *>

建议:


厂商补丁:

W3M
---
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://github.com/tats/w3m/commit/33509cc81ec5f2ba44eb6fd98bd5c1b5873e46bd

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-01/139873.htm

linux
相关资讯       w3m 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款